import request from '@/utils/request'
import { BASE } from './apiGateway'

let nmessageApi = {
  //居民消息父级列表
    residentList(params) {
        return request({
          url: `${BASE}/patient/message/getSystemMessage`,
          method: 'get',
          params: params
        })
    },
  //居民消息子级列表
    requestDetail(params) {
        return request({
          url: `${BASE}/patient/message/getSystemMessageList`,
          method: 'get',
          params: params
        })
    },
    //更改未读状态
    modificationState(data) {
        return request({
            url: `${BASE}/patient/message/updateMessageRead`,
            method: 'post',
            data
        })
    },
     //获取安防工单
    workOrder(params) {
      return request({
        url: `${BASE}/security/order/getSecurityOrderDetail`,
        method: 'get',
        params: params
      })
    },
     //获取紧急工单
     urgency(params) {
      return request({
        url: `${BASE}/emergency_assistance/patientGetOrderDetail`,
        method: 'get',
        params:params
      })
    },
    
}

export default nmessageApi